package com.order.controller.business;

import com.alibaba.excel.EasyExcel;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hfkj.common.utils.ResponseMsgUtil;
import com.hfkj.model.ResponseData;
import com.hfkj.service.coupon.BsOrderCouponService;
import com.order.controller.OrderController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * @className: OrderCouponController
 * @author: HuRui
 * @date: 2024/5/11
 **/
@Controller
@RequestMapping(value="/coupon")
@Api(value="卡券订单业务")
public class OrderCouponController {
    Logger log = LoggerFactory.getLogger(OrderCouponController.class);

    @Resource
    private BsOrderCouponService orderCouponService;

    @RequestMapping(value="/queryList",method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "查询交易订单列表")
    public ResponseData queryList(@RequestParam(value = "orderNo" , required = false) String orderNo,
                                  @RequestParam(value = "childOrderNo" , required = false) String childOrderNo,
                                  @RequestParam(value = "merId" , required = false) Long merId,
                                  @RequestParam(value = "userPhone" , required = false) String userPhone,
                                  @RequestParam(value = "payChannel" , required = false) Integer payChannel,
                                  @RequestParam(value = "payType" , required = false) Integer payType,
                                  @RequestParam(value = "createTimeS" , required = false) Long createTimeS,
                                  @RequestParam(value = "createTimeE" , required = false) Long createTimeE,
                                  @RequestParam(value = "payTimeS" , required = false) Long payTimeS,
                                  @RequestParam(value = "payTimeE" , required = false) Long payTimeE,
                                  @RequestParam(value = "finishTimeS" , required = false) Long finishTimeS,
                                  @RequestParam(value = "finishTimeE" , required = false) Long finishTimeE,
                                  @RequestParam(value = "cancelTimeS" , required = false) Long cancelTimeS,
                                  @RequestParam(value = "cancelTimeE" , required = false) Long cancelTimeE,
                                  @RequestParam(value = "pageNum" , required = true) Integer pageNum,
                                  @RequestParam(value = "pageSize" , required = true) Integer pageSize) {
        try {
            Map<String,Object> param = new HashMap<>();
            param.put("orderNo", orderNo);
            param.put("userPhone", userPhone);
            param.put("payChannel", payChannel);
            param.put("payType", payType);
            param.put("createTimeS", createTimeS);
            param.put("createTimeE", createTimeE);
            param.put("payTimeS", payTimeS);
            param.put("payTimeE", payTimeE);
            param.put("finishTimeS", finishTimeS);
            param.put("finishTimeE", finishTimeE);
            param.put("cancelTimeS", cancelTimeS);
            param.put("cancelTimeE", cancelTimeE);

            PageHelper.startPage(pageNum, pageSize);
            return ResponseMsgUtil.success(new PageInfo<>());

        } catch (Exception e) {
            log.error("error!",e);
            return ResponseMsgUtil.exception(e);
        }
    }



}
