package com.hfkj.service.coupon.impl;

import com.hfkj.dao.BsOrderCouponMapper;
import com.hfkj.entity.BsOrderCoupon;
import com.hfkj.entity.BsOrderCouponExample;
import com.hfkj.service.coupon.BsOrderCouponService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @className: BsOrderCouponServiceImpl
 * @author: HuRui
 * @date: 2024/5/10
 **/
@Service("orderCouponService")
public class BsOrderCouponServiceImpl implements BsOrderCouponService {

    @Resource
    private BsOrderCouponMapper orderCouponMapper;

    @Override
    public void editData(BsOrderCoupon data) {
        data.setUpdateTime(new Date());
        if (data.getId() == null) {
            data.setCreateTime(new Date());
            orderCouponMapper.insert(data);
        } else {
            orderCouponMapper.updateByPrimaryKey(data);
        }
    }

    @Override
    public List<BsOrderCoupon> getListByChildOrderNo(String orderChildOrderNo) {
        BsOrderCouponExample example = new BsOrderCouponExample();
        example.createCriteria().andChildOrderNoEqualTo(orderChildOrderNo);
        return orderCouponMapper.selectByExample(example);
    }


}
